Bug 1031882 - version information in latest package is entirely wrong
version information in latest package is entirely wrong
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bzrtools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 23:37 EST by Toshio Ernie Kuratomi
Modified: 2013-12-13 22:06 EST (History)
3 users (show)

See Also:
Fixed In Version: bzrtools-2.5-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:06:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2013-11-18 23:37:46 EST
Description of problem:

The latest changes to the bzrtools package specfile are incorrect.  They change the dependency versioning incorrectly and break the download URL.

Here's the changes that were introduced:
diff --git a/bzrtools.spec b/bzrtools.spec
index c19cea3..5fa06a9 100644
--- a/bzrtools.spec
+++ b/bzrtools.spec
@@ -7,16 +7,16 @@
 # (bzrlib is arch dependent.  Thus bzrlib plugins are also arch dependent.)
 %global debug_package %{nil}
 
-%global bzrver 2.5
-%global bzrnextver 2.6
+%global bzrver 2.6
+%global bzrnextver 2.7
 
 #global subtag  b1
 #global branch  %{bzrver}
-%global branch  stable
+%global branch  2.5
 
 Name:           bzrtools
-Version:        %{bzrver}
-Release:        3%{?subtag:.}%{?subtag}%{?dist}
+Version:        %{branch}
+Release:        4%{?subtag:.}%{?subtag}%{?dist}
 Summary:        A collection of utilities and plugins for Bazaar-NG
 
 Group:          Development/Tools


Here's what it should look like:

 %global bzrver 2.5
-%global bzrnextver 2.6
+%global bzrnextver 2.7
 
 #global subtag  b1
 #global branch  %{bzrver}
 %global branch  stable
 
 Name:           bzrtools
 Version:        %{bzrver}
-Release:        3%{?subtag:.}%{?subtag}%{?dist}
+Release:        4%{?subtag:.}%{?subtag}%{?dist}
 Summary:        A collection of utilities and plugins for Bazaar-NG
 
 Group:          Development/Tools

Ondrej, please be more careful.
Comment 1 Fedora Update System 2013-11-19 00:40:39 EST
bzrtools-2.5-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bzrtools-2.5-5.fc20
Comment 2 Fedora Update System 2013-11-19 16:53:20 EST
Package bzrtools-2.5-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bzrtools-2.5-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21734/bzrtools-2.5-5.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-12-13 22:06:41 EST
bzrtools-2.5-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.